TagLib::Matroska::Chapters Class Reference

Collection of chapter editions. More...

`#include <matroskachapters.h>`

## Public Types

using | ChapterEditionList = List<ChapterEdition>
| List of chapter editions.

## Public Member Functions

| Chapters ()
| Construct chapters.
virtual | ~Chapters ()
| Destroy chapters.
void | addChapterEdition (const ChapterEdition &edition)
| Add a chapter edition.
void | removeChapterEdition (unsigned long long uid)
| Remove a chapter edition.
void | clear ()
| Remove all chapter editions.
const ChapterEditionList & | chapterEditionList () const
| Get list of all chapter editions.

## Friends

class | EBML::MkChapters
class | File

## Detailed Description

Collection of chapter editions.

## Member Typedef Documentation

## ChapterEditionList

using TagLib::Matroska::Chapters::ChapterEditionList = List<ChapterEdition>

List of chapter editions.

## Constructor & Destructor Documentation

## Chapters()

TagLib::Matroska::Chapters::Chapters | ( |  | ) |

Construct chapters.

## ~Chapters()

virtual TagLib::Matroska::Chapters::~Chapters | ( |  | ) |

virtual

Destroy chapters.

## Member Function Documentation

## addChapterEdition()

void TagLib::Matroska::Chapters::addChapterEdition | ( | const ChapterEdition & | edition | ) |

Add a chapter edition.

## chapterEditionList()

const ChapterEditionList & TagLib::Matroska::Chapters::chapterEditionList | ( |  | ) | const

Get list of all chapter editions.

## clear()

void TagLib::Matroska::Chapters::clear | ( |  | ) |

Remove all chapter editions.

## removeChapterEdition()

void TagLib::Matroska::Chapters::removeChapterEdition | ( | unsigned long long | uid | ) |

Remove a chapter edition.

## Friends And Related Symbol Documentation

## EBML::MkChapters

friend class EBML::MkChapters

friend

## File

friend class File

friend

References File, and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by File.

The documentation for this class was generated from the following file:

- matroskachapters.h